Home | All Classes | Grouped Classes | Index | Search

# Class CL_Palette

256 color ARGB palette class. More...

Derived from: none
Derived by: none
Group: Display (Display 2D)

#include <ClanLib/display.h>

Construction:

CL_Palette | Constructs a palette.

Attributes:

colors | Palette color entries.
operator [] | Return color at index.
operator const unsigned int* | Returns the palette in ARGB8888 format.
operator unsigned int* |

Detailed description:

!group=Display/Display 2D! !header=display.h!
Questions or comments, write to the ClanLib mailing list.